Bug 894606

Summary: Review Request: coin-or-Couenne - An exact solver for nonconvex MINLPs
Product: [Fedora] Fedora Reporter: Paulo Andrade <paulo.cesar.pereira.de.andrade>
Component: Package ReviewAssignee: Antonio Trande <anto.trande>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review
Target Milestone: ---Flags: anto.trande: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: coin-or-Cbc-2.9.2-5.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-03-09 04:25:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 894585, 894586, 894587, 894588, 894597, 894604, 894605    
Bug Blocks: 505154, 894609    
Attachments:
Description Flags
Full review.txt file none

Description Paulo Andrade 2013-01-12 10:44:01 EST
Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.4.3-1.fc19.src.rpm
Description: Couenne (Convex Over and Under ENvelopes for Nonlinear Estimation) is a
branch&bound algorithm to solve Mixed-Integer Nonlinear Programming (MINLP)
problems of the form:
      min f0(x,y)
             fi(x,y) <= 0     i=1,2..., m
             x in Rn, y in Zp

where all fi(x,y) are, in general, nonlinear functions.

Couenne aims at finding global optima of nonconvex MINLPs. It implements
linearization, bound reduction, and branching methods within a
branch-and-bound framework. Its main components are:

  * an expression library;
  * separation of linearization cuts;
  * branching rules;
  * bound tightening methods.
Fedora Account System Username: pcpa
Comment 1 Paulo Andrade 2013-01-12 10:45:28 EST
Note that the tarball is remade due to:
+ Data files without a clean license. licensecheck does not trigger
  it because they are small test case files, but a not so small
  collection, and authorship information was lost.
+ ThirdParty directory, that points to, but has no contents, of
  non free code (usually source code open but needs some kind of
  paid license to be able to use).
+ Most coin-or projects bundle other coin-or projects that are
  dependencies. If tarballs are not repackaged, %build will remove
  the bundled dependencies.

I made the original package back in september and was talking from
time to time to upstream about the issues above. There should be
at some point in the near future a new release with bundled dependencies
and code that cannot be redistributed removed from tarballs. There is
also a way to get "clean" tarballs from coin-or trac, but for the
review request I did choose the most common method in Fedora for
these conditions.
Comment 2 Paulo Andrade 2013-01-14 17:37:04 EST
Update:

- Update to run make check (#894610#c4).

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.4.3-4.fc19.src.rpm
Comment 3 Antonio Trande 2014-09-19 05:50:18 EDT
'make all doxydoc' fails on rawhide.
Please, update to latest version, too.
Comment 4 Paulo Andrade 2014-09-20 12:33:22 EDT
I asked upstream about doxydoc no longer available to build on
latest release. The tarball just bundles a pdf file.

Make test is run, but does nothing if coin-or-Bonmin is not
built with ASL support. This is a third party solver, that
links to http://www.netlib.org/ampl/solvers/ that has no
license information, and I am still unsure if the sources
there are enough (there are several solvers that need a
commercial license, and usually only provide freely a header
file and/or some wrapper functions). I asked upstream aboout
some clarifications about it.

Updates:

- Update to latest upstream release
- Remove module name from description
- Create doc subpackage

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.4.7-1.fc22.src.rpm
Comment 5 Antonio Trande 2014-09-21 05:49:47 EDT
(In reply to Paulo Andrade from comment #4)
> I asked upstream about doxydoc no longer available to build on
> latest release. The tarball just bundles a pdf file.
> 
> Make test is run, but does nothing if coin-or-Bonmin is not
> built with ASL support. This is a third party solver, that
> links to http://www.netlib.org/ampl/solvers/ that has no
> license information, and I am still unsure if the sources
> there are enough (there are several solvers that need a
> commercial license, and usually only provide freely a header
> file and/or some wrapper functions). I asked upstream aboout
> some clarifications about it.


I wait some days for these replies before to conclude the review.
Comment 6 Antonio Trande 2014-09-29 09:09:00 EDT
(In reply to Paulo Andrade from comment #4)
> I asked upstream about doxydoc no longer available to build on
> latest release. The tarball just bundles a pdf file.
> 
> Make test is run, but does nothing if coin-or-Bonmin is not
> built with ASL support. This is a third party solver, that
> links to http://www.netlib.org/ampl/solvers/ that has no
> license information, and I am still unsure if the sources
> there are enough (there are several solvers that need a
> commercial license, and usually only provide freely a header
> file and/or some wrapper functions). I asked upstream aboout
> some clarifications about it.

Any news?

> 
> Updates:
> 
> - Update to latest upstream release
> - Remove module name from description
> - Create doc subpackage
> 
> Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
> SRPM URL:
> http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.4.7-1.fc22.src.rpm



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 325 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894606-coin-or-Couenne/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Couenne-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

*Rpmlint log is too long; attached.*

Requires
--------
coin-or-Couenne-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-Couenne(x86-32)
    libBonCouenne.so.1
    libCouenne.so.1
    pkgconfig(bonmin)

coin-or-Couenne (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

coin-or-Couenne-doc (rpmlib, GLIBC filtered):
    coin-or-Couenne



Provides
--------
coin-or-Couenne-devel:
    coin-or-Couenne-devel
    coin-or-Couenne-devel(x86-32)
    pkgconfig(couenne)

coin-or-Couenne:
    coin-or-Couenne
    coin-or-Couenne(x86-32)
    libBonCouenne.so.1
    libCouenne.so.1

coin-or-Couenne-doc:
    coin-or-Couenne-doc



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Couenne/Couenne-0.4.7.tgz :
  CHECKSUM(SHA256) this package     : 55ef079a37ac002463c1120860e1092353f5a608d21fa08852c983d60b7d0ec9
  CHECKSUM(SHA256) upstream package : 55ef079a37ac002463c1120860e1092353f5a608d21fa08852c983d60b7d0ec9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 894606
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 7 Antonio Trande 2014-09-29 09:10:03 EDT
Created attachment 942309 [details]
Full review.txt file
Comment 8 Paulo Andrade 2014-09-29 10:47:16 EDT
(In reply to Antonio Trande from comment #6)
> (In reply to Paulo Andrade from comment #4)
> > I asked upstream about doxydoc no longer available to build on
> > latest release. The tarball just bundles a pdf file.
> > 
> > Make test is run, but does nothing if coin-or-Bonmin is not
> > built with ASL support. This is a third party solver, that
> > links to http://www.netlib.org/ampl/solvers/ that has no
> > license information, and I am still unsure if the sources
> > there are enough (there are several solvers that need a
> > commercial license, and usually only provide freely a header
> > file and/or some wrapper functions). I asked upstream aboout
> > some clarifications about it.
> 
> Any news?

You should have received some emails saturday, where I pinged
Ted Ralphs and CC'ed you. But I think at first the only real
blocker, if any, is the documentation issue. Extra solver should
require significant work, somewhat like MUMPS for coin-or-Ipopt,
and someone that actually uses it, being interested enough to
contribute to the packaging (too much of these 3rd party
solvers have either non-free license, or just do not
provide source code).
Comment 9 Antonio Trande 2014-09-29 11:17:46 EDT
(In reply to Paulo Andrade from comment #8)
> (In reply to Antonio Trande from comment #6)
> > (In reply to Paulo Andrade from comment #4)
> > > I asked upstream about doxydoc no longer available to build on
> > > latest release. The tarball just bundles a pdf file.
> > > 
> > > Make test is run, but does nothing if coin-or-Bonmin is not
> > > built with ASL support. This is a third party solver, that
> > > links to http://www.netlib.org/ampl/solvers/ that has no
> > > license information, and I am still unsure if the sources
> > > there are enough (there are several solvers that need a
> > > commercial license, and usually only provide freely a header
> > > file and/or some wrapper functions). I asked upstream aboout
> > > some clarifications about it.
> > 
> > Any news?
> 
> You should have received some emails saturday, where I pinged
> Ted Ralphs and CC'ed you. But I think at first the only real
> blocker, if any, is the documentation issue. 

Just one mail about FlopC++.


> Extra solver should require significant work, somewhat like MUMPS for coin-or-
> Ipopt, and someone that actually uses it, being interested enough to
> contribute to the packaging (too much of these 3rd party
> solvers have either non-free license, or just do not
> provide source code).

Is there an extra-solver that we can package at the moment?
Comment 10 Paulo Andrade 2015-02-28 15:37:07 EST
Update.

The package now also use the ampl solver, that is
packaged in f22 and f23, in the mp package.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.5.2-1.fc23.src.rpm
Comment 11 Antonio Trande 2015-02-28 15:39:13 EST
(In reply to Paulo Andrade from comment #10)
> Update.
> 
> The package now also use the ampl solver, that is
> packaged in f22 and f23, in the mp package.
> 
> Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
> SRPM URL:
> http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.5.2-1.fc23.src.rpm

I make a new review.
Comment 12 Antonio Trande 2015-02-28 15:57:38 EST
(In reply to Antonio Trande from comment #11)
> (In reply to Paulo Andrade from comment #10)
> > Update.
> > 
> > The package now also use the ampl solver, that is
> > packaged in f22 and f23, in the mp package.
> > 
> > Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
> > SRPM URL:
> > http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.5.2-1.fc23.src.rpm
> 
> I make a new review.

Test fail:

error while loading shared libraries: libBonCouenne.so.1: cannot open shared object file: No such file or directory
Comment 13 Paulo Andrade 2015-02-28 16:11:22 EST
Sorry. It was a side effect of changing it after
making tests and ensuring it would build, to
remove rpath. Now it sets LD_LIBRARY_PATH
during %check.

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.5.2-2.fc23.src.rpm
Comment 14 Antonio Trande 2015-03-01 06:33:41 EST
- Use %{buildroot} or $RPM_BUILD_ROOT.

- Please, use %license macro.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 311 files have unknown license. Detailed output
     of licensecheck in /home/sagitter/894606-coin-or-Couenne/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in coin-or-
     Couenne-doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: coin-or-Couenne-0.5.2-2.fc23.x86_64.rpm
          coin-or-Couenne-devel-0.5.2-2.fc23.x86_64.rpm
          coin-or-Couenne-doc-0.5.2-2.fc23.noarch.rpm
          coin-or-Couenne-0.5.2-2.fc23.src.rpm
coin-or-Couenne.x86_64: W: spelling-error Summary(en_US) nonconvex -> non convex, non-convex, convex
coin-or-Couenne.x86_64: W: spelling-error %description -l en_US fi -> phi, fee, if
coin-or-Couenne.x86_64: W: spelling-error %description -l en_US nonconvex -> non convex, non-convex, convex
coin-or-Couenne.x86_64: W: spelling-error %description -l en_US linearization -> militarization, internalization, familiarization
coin-or-Couenne.x86_64: W: shared-lib-calls-exit /usr/lib64/libBonCouenne.so.1.4.2 exit@GLIBC_2.2.5
coin-or-Couenne.x86_64: W: shared-lib-calls-exit /usr/lib64/libCouenne.so.1.4.2 exit@GLIBC_2.2.5
coin-or-Couenne.x86_64: W: no-manual-page-for-binary couenne
coin-or-Couenne-devel.x86_64: W: only-non-binary-in-usr-lib
coin-or-Couenne-devel.x86_64: W: no-documentation
coin-or-Couenne.src: W: spelling-error Summary(en_US) nonconvex -> non convex, non-convex, convex
coin-or-Couenne.src: W: spelling-error %description -l en_US fi -> phi, fee, if
coin-or-Couenne.src: W: spelling-error %description -l en_US nonconvex -> non convex, non-convex, convex
coin-or-Couenne.src: W: spelling-error %description -l en_US linearization -> militarization, internalization, familiarization
coin-or-Couenne.src:57: W: mixed-use-of-spaces-and-tabs (spaces: line 57, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
coin-or-Couenne-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    coin-or-CoinUtils-devel
    coin-or-Couenne(x86-64)
    pkgconfig(bonmin)

coin-or-Couenne (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libBonCouenne.so.1()(64bit)
    libCbc.so.3()(64bit)
    libCbcSolver.so.3()(64bit)
    libCgl.so.1()(64bit)
    libClp.so.1()(64bit)
    libClpSolver.so.1()(64bit)
    libCoinUtils.so.3()(64bit)
    libCouenne.so.1()(64bit)
    libCouenneReadnl.so.1()(64bit)
    libOsi.so.1()(64bit)
    libOsiClp.so.1()(64bit)
    libasl.so.1()(64bit)
    libblas.so.3()(64bit)
    libbonmin.so.4()(64bit)
    libbonminampl.so.4()(64bit)
    libbz2.so.1()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libdmumps-5.0.0.so()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libipopt.so.1()(64bit)
    libipoptamplinterface.so.1()(64bit)
    liblapack.so.3()(64bit)
    libm.so.6()(64bit)
    libmp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

coin-or-Couenne-doc (rpmlib, GLIBC filtered):
    coin-or-Couenne



Provides
--------
coin-or-Couenne-devel:
    coin-or-Couenne-devel
    coin-or-Couenne-devel(x86-64)
    pkgconfig(couenne)

coin-or-Couenne:
    coin-or-Couenne
    coin-or-Couenne(x86-64)
    libBonCouenne.so.1()(64bit)
    libCouenne.so.1()(64bit)
    libCouenneReadnl.so.1()(64bit)

coin-or-Couenne-doc:
    coin-or-Couenne-doc



Source checksums
----------------
http://www.coin-or.org/download/pkgsource/Couenne/Couenne-0.5.2.tgz :
  CHECKSUM(SHA256) this package     : dd451e964d8c9902287035bf152931ce0d7f269cd67e884d5c711853771a51be
  CHECKSUM(SHA256) upstream package : dd451e964d8c9902287035bf152931ce0d7f269cd67e884d5c711853771a51be


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 894606
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 15 Antonio Trande 2015-03-01 06:47:02 EST
- Also check patch lines:

+ /usr/bin/cat /builddir/build/SOURCES/coin-or-Couenne-docdir.patch
patching file Makefile.in
Hunk #1 succeeded at 371 (offset 7 lines).
Hunk #2 succeeded at 380 (offset 7 lines).
Comment 16 Paulo Andrade 2015-03-01 08:37:53 EST
Thanks! Update:

- Rediff patches (#894606#c15)
- Use license macro (#894606#c14)
- Do not mix rpm macros and rpm shell variables (#894606#c14)

Spec URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne.spec
SRPM URL: http://pcpa.fedorapeople.org/coin-or/coin-or-Couenne-0.5.2-3.fc23.src.rpm
Comment 17 Antonio Trande 2015-03-01 08:40:06 EST
Package approved.
Comment 18 Paulo Andrade 2015-03-01 08:53:39 EST
New Package SCM Request
=======================
Package Name: coin-or-Couenne
Short Description: An exact solver for nonconvex MINLPs
Upstream URL: http://www.coin-or.org/projects/Couenne.xml
Owners: pcpa
Branches: f22
InitialCC:
Comment 19 Jon Ciesla 2015-03-01 11:49:09 EST
Git done (by process-git-requests).
Comment 20 Fedora Update System 2015-03-01 14:49:18 EST
coin-or-Cbc-2.9.2-5.fc22,coin-or-Ipopt-3.12.1-4.fc22,coin-or-Bonmin-1.8.1-3.fc22,coin-or-SYMPHONY-5.6.8-1.fc22,coin-or-FlopC++-1.1.7-4.fc22,coin-or-Couenne-0.5.2-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/coin-or-Cbc-2.9.2-5.fc22,coin-or-Ipopt-3.12.1-4.fc22,coin-or-Bonmin-1.8.1-3.fc22,coin-or-SYMPHONY-5.6.8-1.fc22,coin-or-FlopC++-1.1.7-4.fc22,coin-or-Couenne-0.5.2-3.fc22
Comment 21 Fedora Update System 2015-03-02 18:06:49 EST
Package coin-or-Cbc-2.9.2-5.fc22, coin-or-Ipopt-3.12.1-4.fc22, coin-or-Bonmin-1.8.1-3.fc22, coin-or-SYMPHONY-5.6.8-1.fc22, coin-or-FlopC++-1.1.7-4.fc22, coin-or-Couenne-0.5.2-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing coin-or-Cbc-2.9.2-5.fc22 coin-or-Ipopt-3.12.1-4.fc22 coin-or-Bonmin-1.8.1-3.fc22 coin-or-SYMPHONY-5.6.8-1.fc22 coin-or-FlopC++-1.1.7-4.fc22 coin-or-Couenne-0.5.2-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2915/coin-or-Cbc-2.9.2-5.fc22,coin-or-Ipopt-3.12.1-4.fc22,coin-or-Bonmin-1.8.1-3.fc22,coin-or-SYMPHONY-5.6.8-1.fc22,coin-or-FlopC++-1.1.7-4.fc22,coin-or-Couenne-0.5.2-3.fc22
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2015-03-09 04:25:31 EDT
coin-or-Cbc-2.9.2-5.fc22, coin-or-Ipopt-3.12.1-4.fc22, coin-or-Bonmin-1.8.1-3.fc22, coin-or-SYMPHONY-5.6.8-1.fc22, coin-or-FlopC++-1.1.7-4.fc22, coin-or-Couenne-0.5.2-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Paulo Andrade 2015-06-14 18:52:57 EDT
Package Change Request
======================
Package Name: coin-or-Couenne
New Branches: f21
Owners: pcpa
InitialCC: pcpa

Update coin-or stack.
Comment 24 Jon Ciesla 2015-06-15 08:50:02 EDT
Git done (by process-git-requests).